Bug 213542 - [New Port] security/py-keystone: OpenStack Keystone Identity Service
Summary: [New Port] security/py-keystone: OpenStack Keystone Identity Service
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Roman Bogorodskiy
URL:
Keywords:
Depends on: 213562 213563
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-16 17:45 UTC by Alexander Nusov
Modified: 2016-10-20 17:18 UTC (History)
2 users (show)

See Also:


Attachments
keystone.diff (65.93 KB, patch)
2016-10-16 17:45 UTC, Alexander Nusov
no flags Details | Diff
keystone patch (65.93 KB, patch)
2016-10-16 21:26 UTC, Alexander Nusov
no flags Details | Diff
Fixed BUILD_DEPENDS and portlint issues (16.60 KB, patch)
2016-10-20 10:45 UTC, Alexander Nusov
no flags Details | Diff
fix py-keystone portlint issues (6.60 KB, patch)
2016-10-20 11:40 UTC, Alexander Nusov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Nusov 2016-10-16 17:45:59 UTC
Created attachment 175832 [details]
keystone.diff

Hello, 

this patch adds OpenStack Keystone Service from Newton release and also fixes some client libraries


Updated packages:
databases/py-alembic:0.8.7 (lwhsu@FreeBSD.org)
devel/py-cachetools:2.0.0 (wg@FreeBSD.org)
devel/py-os-client-config:1.22.0
devel/py-osc-lib:1.1.0
devel/py-oslo.config:3.17.0
net/py-keystoneclient:3.6.0
net/py-openstackclient:3.2.0

New packages:
devel/py-dogpile.cache:0.6.2
devel/py-fasteners:0.14.1
devel/py-futurist:0.18.0
devel/py-keystonemiddleware:4.10.0
devel/py-oslo.cache:1.14.0
devel/py-oslo.concurrency:3.14.0
devel/py-oslo.context:2.9.0
devel/py-oslo.db:4.13.3
devel/py-oslo.log:3.16.0
devel/py-oslo.messaging:5.10.0
devel/py-oslo.middleware:3.19.0
devel/py-oslo.policy:1.15.0
devel/py-oslo.service:1.16.0
devel/py-osprofiler:1.4.0
devel/py-pika-pool:0.1.3
devel/py-pycadf:2.4.0
devel/py-python-editor:1.0.1
devel/py-retrying:1.3.3
security/py-keystone:10.0.0

More information how to test it and install keystone you find here
_https://medium.com/nfv-express/installing-keystone-on-freebsd-cdba43acf43d#.lo62hzhi9
Comment 1 Alexander Nusov 2016-10-16 17:47:34 UTC
fix a typo

Updated packages:
databases/py-alembic:0.8.7 (lwhsu@FreeBSD.org)
devel/py-dogpile.cache:0.6.2 (wg@FreeBSD.org)


New packages:
devel/py-cachetools:2.0.0
...
Comment 2 Alexander Nusov 2016-10-16 21:26:42 UTC
Created attachment 175837 [details]
keystone patch

changed UID home directory to /var/lib/keystone
Comment 3 Roman Bogorodskiy freebsd_committer 2016-10-17 05:36:28 UTC
(In reply to Alexander Nusov from comment #1)

> databases/py-alembic:0.8.7 (lwhsu@FreeBSD.org)
> devel/py-dogpile.cache:0.6.2 (wg@FreeBSD.org)

Alexander, could you please submit these changes as separate PRs to make it easier to track maintainer approvals?

Also, py-alembic does look like a typical version update, but rather changing sqlalchemy dependency. This requires some reasoning behind that.
Comment 4 commit-hook freebsd_committer 2016-10-17 18:11:01 UTC
A commit references this bug:

Author: novel
Date: Mon Oct 17 18:10:16 UTC 2016
New revision: 424137
URL: https://svnweb.freebsd.org/changeset/ports/424137

Log:
  Add py-fasteners 0.14.1, python package that provides useful locks.

  PR:		213542
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/devel/Makefile
  head/devel/py-fasteners/
  head/devel/py-fasteners/Makefile
  head/devel/py-fasteners/distinfo
  head/devel/py-fasteners/pkg-descr
Comment 5 commit-hook freebsd_committer 2016-10-17 18:13:03 UTC
A commit references this bug:

Author: novel
Date: Mon Oct 17 18:12:53 UTC 2016
New revision: 424138
URL: https://svnweb.freebsd.org/changeset/ports/424138

Log:
  Add py-python-editor 1.0.1, programmatically open an editor, capture the
  result.

  PR:		213542
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/devel/Makefile
  head/devel/py-python-editor/
  head/devel/py-python-editor/Makefile
  head/devel/py-python-editor/distinfo
  head/devel/py-python-editor/pkg-descr
Comment 6 commit-hook freebsd_committer 2016-10-17 18:16:05 UTC
A commit references this bug:

Author: novel
Date: Mon Oct 17 18:15:49 UTC 2016
New revision: 424139
URL: https://svnweb.freebsd.org/changeset/ports/424139

Log:
  Add py-retrying 1.3.3, general-purpose retrying library, written in
  Python.

  PR:		213542
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/devel/Makefile
  head/devel/py-retrying/
  head/devel/py-retrying/Makefile
  head/devel/py-retrying/distinfo
  head/devel/py-retrying/pkg-descr
Comment 7 commit-hook freebsd_committer 2016-10-17 18:19:06 UTC
A commit references this bug:

Author: novel
Date: Mon Oct 17 18:18:24 UTC 2016
New revision: 424140
URL: https://svnweb.freebsd.org/changeset/ports/424140

Log:
  Add py-futurist 0.18.0, useful additions to futures, from the future.

  PR:		213542
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/devel/Makefile
  head/devel/py-futurist/
  head/devel/py-futurist/Makefile
  head/devel/py-futurist/distinfo
  head/devel/py-futurist/pkg-descr
Comment 8 Roman Bogorodskiy freebsd_committer 2016-10-17 18:19:39 UTC
Committed first bunch of ports.

Few notes:

 - fixed some portlint(1) issues
 - added missing six dependency to devel/py-retrying
Comment 9 Roman Bogorodskiy freebsd_committer 2016-10-17 18:32:25 UTC
Question about devel/py-pika-pool: should not it depend on pike? In setup.py it has the following:

   22     install_requires=[
   23         'pika >=0.9,<0.11',
   24     ],
Comment 10 Alexander Nusov 2016-10-17 18:35:58 UTC
Sure, it should..
Comment 11 Alexander Nusov 2016-10-17 18:38:34 UTC
Thanks for your efforts!
Please let me know if I have to update the patch.
Comment 12 Roman Bogorodskiy freebsd_committer 2016-10-17 18:41:06 UTC
(In reply to Alexander Nusov from comment #11)

Thanks, I'll add that myself, no need to update the patch.
Comment 13 Alexander Nusov 2016-10-18 11:22:03 UTC
Sorry, I submitted patch without proper line endings and with dots in COMMENT in several pachages

this may help

# echo >> Makefile
# echo >> distinfo
# perl -pi.bak -e 's/(py-pbr)\n/$1/' Makefile
# perl -pi.bak -e 's/(?<=COMMENT=)(\s*)(.*?)\.?$/$1.ucfirst($2)/e' Makefile
# portlint .
# rm Makefile.bak
Comment 14 commit-hook freebsd_committer 2016-10-18 15:01:38 UTC
A commit references this bug:

Author: novel
Date: Tue Oct 18 15:01:22 UTC 2016
New revision: 424165
URL: https://svnweb.freebsd.org/changeset/ports/424165

Log:
  Add py-pika-pool 0.1.3, pika connection pooling.

  PR:		213542
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/devel/Makefile
  head/devel/py-pika-pool/
  head/devel/py-pika-pool/Makefile
  head/devel/py-pika-pool/distinfo
  head/devel/py-pika-pool/pkg-descr
Comment 15 commit-hook freebsd_committer 2016-10-18 15:02:40 UTC
A commit references this bug:

Author: novel
Date: Tue Oct 18 15:02:06 UTC 2016
New revision: 424168
URL: https://svnweb.freebsd.org/changeset/ports/424168

Log:
  Add py-cachetools 2.0.0, extensible memoizing collections and
  decorators.

  PR:		213542
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/devel/Makefile
  head/devel/py-cachetools/
  head/devel/py-cachetools/Makefile
  head/devel/py-cachetools/distinfo
  head/devel/py-cachetools/pkg-descr
Comment 16 commit-hook freebsd_committer 2016-10-18 15:03:42 UTC
A commit references this bug:

Author: novel
Date: Tue Oct 18 15:02:40 UTC 2016
New revision: 424169
URL: https://svnweb.freebsd.org/changeset/ports/424169

Log:
  Add py-oslo.context 2.9.0, oslo Context library.

  PR:		213542
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/devel/Makefile
  head/devel/py-oslo.context/
  head/devel/py-oslo.context/Makefile
  head/devel/py-oslo.context/distinfo
  head/devel/py-oslo.context/pkg-descr
Comment 17 Roman Bogorodskiy freebsd_committer 2016-10-18 15:21:56 UTC
(In reply to Alexander Nusov from comment #13)

That's fine, I can fix that.

One question: the only change in py-oslo.config is:

Index: Makefile
===================================================================
--- Makefile    (revision 424124)
+++ Makefile    (working copy)
@@ -23,4 +23,10 @@
 USES=          python
 USE_PYTHON=    autoplist distutils
 
+post-patch:
+       ${REINPLACE_CMD} -e "s|/etc|${PREFIX}/etc|g" \
+               ${WRKSRC}/doc/source/sphinxconfiggen.rst \
+               ${WRKSRC}/oslo_config/_list_opts.py \
+               ${WRKSRC}/oslo_config/cfg.py
+
 .include <bsd.port.mk>

The purpose, I guess, is to make it respect $PREFIX for the etc dir. Is that right? Also, that will need PORTREVISION bump because of changing contents of the package (I'll do that as well if you confirm I'm not missing anything for this port).
Comment 18 Alexander Nusov 2016-10-18 15:24:53 UTC
(In reply to Roman Bogorodskiy from comment #17)
>> make it respect $PREFIX for the etc dir.
that's right,
I didn't know that PORTREVISION should be added :)

Thanks
Comment 19 Alexander Nusov 2016-10-18 15:33:24 UTC
same thing with oy-osc-lib (just added missing dependencies, no version change)
Comment 20 commit-hook freebsd_committer 2016-10-18 16:49:55 UTC
A commit references this bug:

Author: novel
Date: Tue Oct 18 16:49:40 UTC 2016
New revision: 424178
URL: https://svnweb.freebsd.org/changeset/ports/424178

Log:
  devel/py-osc-lib: update dependencies

   - update some dependencies' versions and add missing dependencies
   - bump PORTREVISION due to package change

  PR:		213542
  Submitted by:	Alexander Nusov (maintainer)

Changes:
  head/devel/py-osc-lib/Makefile
Comment 21 commit-hook freebsd_committer 2016-10-18 16:50:57 UTC
A commit references this bug:

Author: novel
Date: Tue Oct 18 16:50:49 UTC 2016
New revision: 424179
URL: https://svnweb.freebsd.org/changeset/ports/424179

Log:
  devel/py-os-client-config: update to 1.22.0

  PR:		213542
  Submitted by:	Alexander Nusov (maintainer)

Changes:
  head/devel/py-os-client-config/Makefile
  head/devel/py-os-client-config/distinfo
Comment 22 commit-hook freebsd_committer 2016-10-18 18:37:30 UTC
A commit references this bug:

Author: novel
Date: Tue Oct 18 18:36:59 UTC 2016
New revision: 424200
URL: https://svnweb.freebsd.org/changeset/ports/424200

Log:
  devel/py-oslo.config: respect hier(7)

   - Use ${PREFIX}/etc instead of /etc for configuration files
   - Bump PORTREVISION

  PR:		213542
  Submitted by:	Alexander Nusov (maintainer)

Changes:
  head/devel/py-oslo.config/Makefile
Comment 23 commit-hook freebsd_committer 2016-10-18 18:38:32 UTC
A commit references this bug:

Author: novel
Date: Tue Oct 18 18:37:57 UTC 2016
New revision: 424201
URL: https://svnweb.freebsd.org/changeset/ports/424201

Log:
  net/py-keystoneclient: update to 3.6.0

  PR:		213542
  Submitted by:	Alexander Nusov (maintainer)

Changes:
  head/net/py-keystoneclient/Makefile
  head/net/py-keystoneclient/distinfo
Comment 24 commit-hook freebsd_committer 2016-10-18 18:39:33 UTC
A commit references this bug:

Author: novel
Date: Tue Oct 18 18:39:26 UTC 2016
New revision: 424202
URL: https://svnweb.freebsd.org/changeset/ports/424202

Log:
  net/py-openstackclient: update to 3.2.0

  PR:		213542
  Submitted by:	Alexander Nusov (maintainer)

Changes:
  head/net/py-openstackclient/Makefile
  head/net/py-openstackclient/distinfo
Comment 25 Roman Bogorodskiy freebsd_committer 2016-10-18 18:49:47 UTC
(In reply to Alexander Nusov from comment #18)

This describes when PORTREVISION bump is needed: https://www.freebsd.org/doc/en/books/porters-handbook/makefile-naming.html

BTW, this change (i.e. adding support for /usr/local/etc/) sounds like a good thing to upstream.
Comment 26 commit-hook freebsd_committer 2016-10-19 18:02:59 UTC
A commit references this bug:

Author: novel
Date: Wed Oct 19 18:02:36 UTC 2016
New revision: 424275
URL: https://svnweb.freebsd.org/changeset/ports/424275

Log:
  Add py-oslo.policy 1.15.0, oslo Policy library.

  PR:		213542
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/devel/Makefile
  head/devel/py-oslo.policy/
  head/devel/py-oslo.policy/Makefile
  head/devel/py-oslo.policy/distinfo
  head/devel/py-oslo.policy/pkg-descr
Comment 27 commit-hook freebsd_committer 2016-10-19 18:04:01 UTC
A commit references this bug:

Author: novel
Date: Wed Oct 19 18:03:35 UTC 2016
New revision: 424276
URL: https://svnweb.freebsd.org/changeset/ports/424276

Log:
  Add py-pycadf 2.4.0, CADF Library.

  PR:		213542
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/devel/Makefile
  head/devel/py-pycadf/
  head/devel/py-pycadf/Makefile
  head/devel/py-pycadf/distinfo
  head/devel/py-pycadf/pkg-descr
Comment 28 commit-hook freebsd_committer 2016-10-19 18:06:03 UTC
A commit references this bug:

Author: novel
Date: Wed Oct 19 18:05:01 UTC 2016
New revision: 424277
URL: https://svnweb.freebsd.org/changeset/ports/424277

Log:
  Add py-oslo.db 4.13.3, oslo Database library.

  PR:		213542
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/devel/Makefile
  head/devel/py-oslo.db/
  head/devel/py-oslo.db/Makefile
  head/devel/py-oslo.db/distinfo
  head/devel/py-oslo.db/pkg-descr
Comment 29 commit-hook freebsd_committer 2016-10-19 18:07:04 UTC
A commit references this bug:

Author: novel
Date: Wed Oct 19 18:06:06 UTC 2016
New revision: 424278
URL: https://svnweb.freebsd.org/changeset/ports/424278

Log:
  Add py-oslo.log 3.16.0, oslo Log library.

  PR:		213542
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/devel/Makefile
  head/devel/py-oslo.log/
  head/devel/py-oslo.log/Makefile
  head/devel/py-oslo.log/distinfo
  head/devel/py-oslo.log/pkg-descr
Comment 30 commit-hook freebsd_committer 2016-10-19 18:08:06 UTC
A commit references this bug:

Author: novel
Date: Wed Oct 19 18:07:40 UTC 2016
New revision: 424279
URL: https://svnweb.freebsd.org/changeset/ports/424279

Log:
  Add py-oslo.middleware 3.19.0, oslo Middleware library.

  PR:		213542
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/devel/Makefile
  head/devel/py-oslo.middleware/
  head/devel/py-oslo.middleware/Makefile
  head/devel/py-oslo.middleware/distinfo
  head/devel/py-oslo.middleware/pkg-descr
Comment 31 Roman Bogorodskiy freebsd_committer 2016-10-19 18:12:44 UTC
For py-oslo.policy and py-pycadf I've added build dependency on py-pbr, otherwise build fails in poudriere.
Comment 32 commit-hook freebsd_committer 2016-10-19 18:40:09 UTC
A commit references this bug:

Author: novel
Date: Wed Oct 19 18:39:56 UTC 2016
New revision: 424280
URL: https://svnweb.freebsd.org/changeset/ports/424280

Log:
  Add py-oslo.concurrency 3.14.0, oslo Concurrency library.

  PR:		213542
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/devel/Makefile
  head/devel/py-oslo.concurrency/
  head/devel/py-oslo.concurrency/Makefile
  head/devel/py-oslo.concurrency/distinfo
  head/devel/py-oslo.concurrency/pkg-descr
Comment 33 Alexander Nusov 2016-10-19 23:17:33 UTC
(In reply to Roman Bogorodskiy from comment #31)
Thanks!

It seems py-pbr also missing in these ports
devel/py-oslo.cache:1.14.0
devel/py-oslo.service:1.16.0
devel/py-osprofiler:1.4.0
Comment 34 Alexander Nusov 2016-10-19 23:23:33 UTC
I used PyPI API to retrieve dependencies and checked against them with "make stage"
so next time I will double check with poudriere.
thanks for your findings.

in setup.py
# In python < 2.7.4, a lazy loading of package `pbr` will break
# setuptools if some other modules registered functions in `atexit`.
# solution from: http://bugs.python.org/issue15881#msg170215
Comment 35 Alexander Nusov 2016-10-20 10:45:40 UTC
Created attachment 175970 [details]
Fixed BUILD_DEPENDS and portlint issues
Comment 36 Roman Bogorodskiy freebsd_committer 2016-10-20 10:58:37 UTC
(In reply to Alexander Nusov from comment #35)

Cool, thanks. I hope to complete this in 2 more bunches.
Comment 37 Alexander Nusov 2016-10-20 11:40:35 UTC
Created attachment 175972 [details]
fix py-keystone portlint issues
Comment 38 commit-hook freebsd_committer 2016-10-20 15:17:01 UTC
A commit references this bug:

Author: novel
Date: Thu Oct 20 15:16:44 UTC 2016
New revision: 424331
URL: https://svnweb.freebsd.org/changeset/ports/424331

Log:
  Add py-oslo.cache 1.14.0, cache storage for OpenStack projects.

  PR:		213542
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/devel/Makefile
  head/devel/py-oslo.cache/
  head/devel/py-oslo.cache/Makefile
  head/devel/py-oslo.cache/distinfo
  head/devel/py-oslo.cache/pkg-descr
Comment 39 commit-hook freebsd_committer 2016-10-20 15:18:03 UTC
A commit references this bug:

Author: novel
Date: Thu Oct 20 15:17:34 UTC 2016
New revision: 424332
URL: https://svnweb.freebsd.org/changeset/ports/424332

Log:
  Add py-oslo.service 1.16.0, oslo.service library.

  PR:		213542
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/devel/Makefile
  head/devel/py-oslo.service/
  head/devel/py-oslo.service/Makefile
  head/devel/py-oslo.service/distinfo
  head/devel/py-oslo.service/pkg-descr
Comment 40 commit-hook freebsd_committer 2016-10-20 15:19:05 UTC
A commit references this bug:

Author: novel
Date: Thu Oct 20 15:18:19 UTC 2016
New revision: 424333
URL: https://svnweb.freebsd.org/changeset/ports/424333

Log:
  Add py-keystonemiddleware 4.10.0, middleware for OpenStack Identity.

  PR:		213542
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/devel/Makefile
  head/devel/py-keystonemiddleware/
  head/devel/py-keystonemiddleware/Makefile
  head/devel/py-keystonemiddleware/distinfo
  head/devel/py-keystonemiddleware/pkg-descr
Comment 41 commit-hook freebsd_committer 2016-10-20 15:19:06 UTC
A commit references this bug:

Author: novel
Date: Thu Oct 20 15:18:58 UTC 2016
New revision: 424334
URL: https://svnweb.freebsd.org/changeset/ports/424334

Log:
  Add py-oslo.messaging 5.10.0, oslo Messaging API.

  PR:		213542
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/devel/Makefile
  head/devel/py-oslo.messaging/
  head/devel/py-oslo.messaging/Makefile
  head/devel/py-oslo.messaging/distinfo
  head/devel/py-oslo.messaging/pkg-descr
Comment 42 commit-hook freebsd_committer 2016-10-20 15:20:08 UTC
A commit references this bug:

Author: novel
Date: Thu Oct 20 15:19:37 UTC 2016
New revision: 424335
URL: https://svnweb.freebsd.org/changeset/ports/424335

Log:
  Add py-osprofiler 1.4.0, openStack Profiler Library.

  PR:		213542
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/devel/Makefile
  head/devel/py-osprofiler/
  head/devel/py-osprofiler/Makefile
  head/devel/py-osprofiler/distinfo
  head/devel/py-osprofiler/pkg-descr
Comment 43 Roman Bogorodskiy freebsd_committer 2016-10-20 15:31:17 UTC
(In reply to Alexander Nusov from comment #37)

Question regarding the "post-patch:" bit in the py-keystone/Makefile: is that necessary to explicitly list all the files we do substitution in? We'll have to maintain this list with every new release to make sure we don't miss any new file where substitution is needed, probably we can just do that in all *.rst and *.py files instead?
Comment 44 Alexander Nusov 2016-10-20 15:40:40 UTC
(In reply to Roman Bogorodskiy from comment #43)
I suppose we can substitute the pattern in all py and rst files but in this case it will process more than 500 items..

I used databases/py-swift as a reference

this oneline could help with maintaining :)
root@controller:~/keystone-10.0.0 # grep -r '/etc/keystone' . | awk '{print $1}' | perl -pe 's/:.*?$//' | uniq | sed 's/^\./${WRKSRC}/' | grep -E '\.(py|rst)'
${WRKSRC}/doc/source/event_notifications.rst
${WRKSRC}/doc/source/apache-httpd.rst
${WRKSRC}/doc/source/api_curl_examples.rst
${WRKSRC}/doc/source/installing.rst
${WRKSRC}/doc/source/configuration.rst
${WRKSRC}/doc/source/federation/configure_federation.rst
${WRKSRC}/doc/source/http-api.rst
${WRKSRC}/doc/source/upgrading.rst
${WRKSRC}/keystone/tests/unit/test_ldap_tls_livetest.py
${WRKSRC}/keystone/conf/fernet_tokens.py
${WRKSRC}/keystone/conf/signing.py
${WRKSRC}/keystone/conf/saml.py
${WRKSRC}/keystone/conf/identity.py
${WRKSRC}/keystone/conf/constants.py
${WRKSRC}/keystone/conf/credential.py
${WRKSRC}/keystone/conf/federation.py
${WRKSRC}/keystone/common/profiler.py
Comment 45 Alexander Nusov 2016-10-20 15:41:53 UTC
anyway, it's up to you :)
Comment 46 commit-hook freebsd_committer 2016-10-20 17:01:16 UTC
A commit references this bug:

Author: novel
Date: Thu Oct 20 17:00:19 UTC 2016
New revision: 424340
URL: https://svnweb.freebsd.org/changeset/ports/424340

Log:
  Add py-keystone 10.0.0, OpenStack Keystone

  PR:		213542
  Submitted by:	Alexander Nusov <alexander.nusov@nfvexpress.com>

Changes:
  head/GIDs
  head/UIDs
  head/security/Makefile
  head/security/py-keystone/
  head/security/py-keystone/Makefile
  head/security/py-keystone/distinfo
  head/security/py-keystone/pkg-descr
  head/security/py-keystone/pkg-plist
Comment 47 Roman Bogorodskiy freebsd_committer 2016-10-20 17:10:10 UTC
(In reply to Alexander Nusov from comment #45)

As you're maintaining that and comfortable about that, I'm leaving it as is.

And it looks we're done with this port, thank you for your work!
Comment 48 Alexander Nusov 2016-10-20 17:18:39 UTC
Thank you once again for all your effort!